import os

# DATABASE CONFIGURATION
default_database_directory = '/tmp/bench_db/'

# BENCHMARKER CONFIGURATION
default_stats_location = '/tmp/benchstats/'

default_project_information = {
    'project': 'Benchmarker.py', # A high-level name for the project
    'executable': 'All unit tests', # Describe what got executed
    'benchmark': 'Benchmaker core tests', # Describe what the system was doing
    'environment': "My development environment", # Describe the execution
                                                 # environment
}

# MERCURIAL RIG CONFIGURATION

# Enter a default repository if you would like to try out using bench_mercurial
default_repository_home = '/tmp/default_repo/'
default_repository_location = default_repository_home + 'benchmarker.py/'
default_bench_space = '/tmp/build_space/'


# CODESPEED CONFIGURATION

# You need to enter the real URL and have the server running
CODESPEED_URL = 'http://localhost:8000/' 


def make_directories():
    '''
    Execute this file to create a standard configuration layout on disk
    '''
    
    directories = [
        default_repository_home,
        default_bench_space,
        default_stats_location
    ]
    
    for dir in directories:
        if not os.path.exists(dir):
            os.makedirs(dir)